gr::satellites::distributed_syncframe_soft_impl Class Reference

`#include <distributed_syncframe_soft_impl.h>`

Inheritance diagram for gr::satellites::distributed_syncframe_soft_impl:

## Public Member Functions

| distributed_syncframe_soft_impl (int threshold, const std::string &syncword, int step)
| ~distributed_syncframe_soft_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::satellites::distributed_syncframe_soft
typedef std::shared_ptr< distributed_syncframe_soft > | sptr
Static Public Member Functions inherited from gr::satellites::distributed_syncframe_soft
static sptr | make (int threshold, const std::string &syncword, int step)
| Return a shared_ptr to a new instance of satellites::distributed_syncframe_soft.

## Constructor & Destructor Documentation

## distributed_syncframe_soft_impl()

gr::satellites::distributed_syncframe_soft_impl::distributed_syncframe_soft_impl | ( | int | threshold,
|  | const std::string & | syncword,
|  | int | step )

## ~distributed_syncframe_soft_impl()

gr::satellites::distributed_syncframe_soft_impl::~distributed_syncframe_soft_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::satellites::distributed_syncframe_soft_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- distributed_syncframe_soft_impl.h